Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1738849 - [RFE] Add support X-Forwarded-For header in LBaaSv2
Summary: [RFE] Add support X-Forwarded-For header in LBaaSv2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-lbaas
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Bruna Bonguardo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-08 09:39 UTC by Meiyan Zheng
Modified: 2020-10-26 12:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-16 09:09:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Meiyan Zheng 2019-08-08 09:39:08 UTC
Description of problem:
I found a RFE reported in upstream but abandoned.

[RFE] Add support X-Forwarded-For header in LBaaSv2 Edit
https://bugs.launchpad.net/octavia/+bug/1523219

Is it possible to backport to downstream RHOSP13? 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Carlos Goncalves 2019-08-08 09:50:15 UTC
X-Forwarded-For and X-Forwarded-Port are HTTP headers for insertion available in OSP 13:
https://docs.openstack.org/api-ref/load-balancer/v2/?expanded=create-listener-detail#supported-http-header-insertions

Have you tried them and experienced any problem?

Comment 2 Carlos Goncalves 2019-08-08 11:36:44 UTC
Just to be clear, are you referring to neutron-lbaas + HAProxy driver or Octavia + amphora driver?


Note You need to log in before you can comment on or make changes to this bug.